List ingested commerce orders (D2C entitlement required)
curl --request GET \
--url https://api.pineyard.ai/commerce/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"externalOrderId": "<string>",
"orderNumber": "<string>",
"currency": "<string>",
"totalPrice": "<string>",
"financialStatus": "<string>",
"fulfillmentStatus": "<string>",
"customerName": "<string>",
"placedAt": "<string>",
"attributedToPineyard": true,
"attributedCampaignId": "<string>",
"utmSource": "<string>",
"utmCampaign": "<string>"
}
],
"total": 123
}Orders & revenue
List ingested commerce orders (D2C entitlement required)
GET
/
commerce
/
orders
List ingested commerce orders (D2C entitlement required)
curl --request GET \
--url https://api.pineyard.ai/commerce/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/commerce/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/commerce/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "<string>",
"externalOrderId": "<string>",
"orderNumber": "<string>",
"currency": "<string>",
"totalPrice": "<string>",
"financialStatus": "<string>",
"fulfillmentStatus": "<string>",
"customerName": "<string>",
"placedAt": "<string>",
"attributedToPineyard": true,
"attributedCampaignId": "<string>",
"utmSource": "<string>",
"utmCampaign": "<string>"
}
],
"total": 123
}Required scope:
sales.view
Requires commerce analytics enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200Available options:
true, false 
